Summary:	Proxy Tunnel ssh-over-https hack
Summary(pl.UTF-8):	Tunel proxy ssh-po-https
Name:		proxytunnel
Version:	1.10.20210604
Release:	1
License:	GPL
Group:		Applications
Source0:	https://github.com/proxytunnel/proxytunnel/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a8ca6a40c40b51681486e317c313d5fc
URL:		https://github.com/proxytunnel/proxytunnel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ProxyTunnel is a program that connects stdin and stdout to a server
somewhere on the network, through a standard HTTPS proxy. We mostly
use it to tunnel SSH sessions through HTTP(S) proxies, allowing us to
do many things that wouldn't be possible without ProxyTunnel.
ProxyTunnel can currently do the following:
- Create tunnels using HTTP and HTTPS proxies (That understand the
  HTTP CONNECT command).
- Work as a back-end driver for an OpenSSH client, and create SSH
  connections through HTTP(S) proxies.
- Work as a stand-alone application, listening on a port for
  connections, and then tunneling these connections to a specified
  destination.

%description -l pl.UTF-8
ProxyTunnel to program łączący stdin i stdout do serwera gdzieś w
sieci poprzez standardowe proxy HTTPS. Jest używany głównie do
tunelowania sesji SSH poprzez proxy HTTP(S), co pozwala na robienie
wielu rzeczy, które nie byłyby możliwe bez niego. ProxyTunnel
aktualnie potrafi:
- tworzyć tunele przy użyciu proxy HTTP i HTTPS (rozumiejących
  polecenie HTTP CONNECT),
- działać jako sterownik backendu dla klienta OpenSSH i tworzyć
  połączenia SSH poprzez proxy HTTP(S),
- działać jako samodzielna aplikacja, nasłuchując na jakimś porcie na
  połączenia, a następnie tunelując te połączenia na podany adres.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags} `pkg-config --libs openssl`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS CHANGES README.md
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Wed Oct 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/proxytunnel.git;a=log;h=master

* Wed Oct 13 2021 Jan Rękorajski <baggins@pld-linux.org> 3f66779
- up to 1.10.20210604

* Mon Oct 22 2018 Jan Rękorajski <baggins@pld-linux.org> 7a1e34d
- rel 1

* Sun Sep 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 2a2b5a0
- updated to 1.9.1
- switch to github
- git fixes from upstream
- warning fixes when building against openssl-1.1

* Tue Apr 13 2010 radek <radek@pld-linux.org> 1fda132
- release 0.2: rebuild with new libcrypto/libssl

* Mon Oct 20 2008 Jakub Bogusz <qboosh@pld-linux.org> ee88d78
- no macros in constant part of URL (aka gpm-friendliness)
- BR: openssl-devel, pkgconfig

* Sun Oct 19 2008 radek <radek@pld-linux.org> c8b6258
- version 1.9.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3627bd5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9c990a3
- converted to UTF-8

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 944c009
- pl

* Sun Aug 28 2005 areq <areq@pld-linux.org> 4d331b1
- Init PLD spec

